Disc Channel says update wii now...

Discussion in 'Wii - Hacking' started by vegandavid, Apr 6, 2010.

Apr 6, 2010
  1. vegandavid
    OP

    Newcomer vegandavid Newbie

    Joined:
    Sep 14, 2009
    Messages:
    5
    Country:
    United States
    Hey everyone, I've had my Wii softmodded for a while now. Recently upgraded to cIOS v19 and Hermes v5 and messed around with some stuff. Anyways, my Mario Kart Wii disc now says "Update Wii" in the disc channel. I can of course play this game off a USB Loader and even with the disc from the Mario Kart Channel. Anyways, it didn't say that until just now. I've been using the disc on my softmodded Wii this whole time and it's been fine. I did recently put in the Netflix Wii disc and it said to upgrade. Instead I installed it to my USB loader and that was fine. I don't have any other games to test with right now as all my disc games are back home and I'm away.

    Things I've done, modified using Twilight Hack way back in the day. Used the 4.2 safe updater a while back to upgrade. Trucha signed IOS36 and IOS70. Installed cIOS v19 now and Hermes v5. All my homebrew runs fine. Configurable USB Loader works great. Can install WADs both to the Wii internal memory or to the SD card and play them from there. All fine.

    So does anyone know why a disc that's been fine this whole time would all of a sudden want to upgrade my Wii?

    Thanks,
    David
     
  2. nagnose

    Newcomer nagnose Advanced Member

    Joined:
    May 1, 2009
    Messages:
    59
    Country:
    United States
    if i were you, i would install Priiloader and block disk update check. As always proceed with caution and perhaps the first thing you should have done when soft-modding you wii was to install Bootmii to keep your mind at ease
     
  3. FenrirWolf

    Member FenrirWolf GBAtemp Psycho!

    Joined:
    Nov 19, 2008
    Messages:
    4,343
    Location:
    Beaverton, OR
    Country:
    United States
    I'd run the game in Gecko OS instead of blocking updates. That way it'll install the IOS it wants and won't ask for an update anymore.
     
  4. nagnose

    Newcomer nagnose Advanced Member

    Joined:
    May 1, 2009
    Messages:
    59
    Country:
    United States
    true, but what if it wants an updated boot2
     
  5. vegandavid
    OP

    Newcomer vegandavid Newbie

    Joined:
    Sep 14, 2009
    Messages:
    5
    Country:
    United States

    Ooops, forgot to say that I do indeed have Bootmii installed as boot2.

    I don't have Priiloader or Gecko OS installed.

    This is my question, I understand how either of these methods could solve my problem for the time being, but.... why would the disc work fine until now. What could I have done in order to make the disc channel not work properly, at least for Mario Kart, which worked fine before?

    Thanks,
    David
     
  6. FenrirWolf

    Member FenrirWolf GBAtemp Psycho!

    Joined:
    Nov 19, 2008
    Messages:
    4,343
    Location:
    Beaverton, OR
    Country:
    United States
    Gecko OS only installs the needed IOS and ignores the rest of the update partition. As long as the required IOS is installed, the game won't prompt for an update regardless of whatever else might be on the disc.

    IIRC Mario Kart runs from IOS36, so perhaps when you trucha-signed it, you did so with a version older than what's on the disc.
     
  7. vegandavid
    OP

    Newcomer vegandavid Newbie

    Joined:
    Sep 14, 2009
    Messages:
    5
    Country:
    United States
    So when I installed the newest cIOS and Hermes, I used a guide on this forum and installed them as follows:

    IOS222[38]-v65535 (v5 of Hermes cIOS) = Stable IOS with the ability to install Wads
    IOS223[37]-v65535 (v5 of Hermes cIOS) = For use with Music Games with USB devices like Rock Band, Guitar Hero...
    IOS224[57]-v65535 (v5 of Hermes cIOS) = Better speed for USB loading. However, some Games might not work

    IOS249[57]-v19 (rev19 of Waninkokos cIOS) = Recommend by Waninkoko. Improves speed for USB loading. However, some Games might not work.
    IOS250[38]-v65535 (rev19 of Waninkokos cIOS) = Stable IOS with the ability to install Wads


    Is there anything I should have done differently and would that have possibly avoided this?

    My Trucha signed ios36 is the most recent version, I checked on a few different upgrading programs (MultiMod Manager, DOP-IOS, DOP-Mii)

    Thanks,
    David
     
  8. vegandavid
    OP

    Newcomer vegandavid Newbie

    Joined:
    Sep 14, 2009
    Messages:
    5
    Country:
    United States
    I used the stickied guide "Modify any Wii 4.2 & below, aka the simplistic mod" in order to get my cIOS installed the way that guide recommends since it seems that everyone thinks that guide is the way to go. So now my cIOS are setup just as that guide would do it.

    So I'm pretty confident that my IOS and my cIOS are all good. I guess I'll install Priiloader and just tell it to disable those updates. I'm still a little weirded out that it all of a sudden started wanting me to update when it never did before.

    Thanks,
    David
     
  9. FenrirWolf

    Member FenrirWolf GBAtemp Psycho!

    Joined:
    Nov 19, 2008
    Messages:
    4,343
    Location:
    Beaverton, OR
    Country:
    United States
    I've seen it happen to other posters before. Can't say I know why, but the solution is simple enough. Besides, Mario Kart's disc update has 3.1 on it so it's not like it would have messed anything up.
     
  10. vegandavid
    OP

    Newcomer vegandavid Newbie

    Joined:
    Sep 14, 2009
    Messages:
    5
    Country:
    United States
    Installed Priiloader, everything is fine now.

    Thanks,
    David
     
  11. Aeladya

    Member Aeladya *mistressOFtheCLOW

    Joined:
    Nov 13, 2004
    Messages:
    759
    Location:
    Idaho Falls, ID
    Country:
    United States

    I know this is a bit old, but I have a question. I use Gecko OS to play games in order to block updates, but on the disc channel it still tells me to update. I used the modify to 4.2 guide that is stickied. So I guess I'm asking what you meant by asking for an update.
     
  12. lolzed

    Member lolzed The GBAtemp Pichu

    Joined:
    Sep 13, 2008
    Messages:
    2,466
    Location:
    There
    Country:
    Philippines
    it only asks to update the IOS,probably all games requiring SM "x" use the same and/or older versions of IOS
     
  13. Aeladya

    Member Aeladya *mistressOFtheCLOW

    Joined:
    Nov 13, 2004
    Messages:
    759
    Location:
    Idaho Falls, ID
    Country:
    United States
    So the disc channel should still tell me to update, but by running the game in Gecko OS, the required IOS's are already installed correct? I guess what I mean is, is there no way for my newer purchased games to be played through the disc channel if they require an update? I heard start patch should solve that problem, but I'm unsure on how safe it is.
     
  14. FireGrey

    Member FireGrey Undercover Admin

    Joined:
    Apr 13, 2010
    Messages:
    3,916
    Country:
    Australia
    Nintendo never give up, do they...
     

Share This Page